Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724944 - net-dns/mdns-repeater does not respect CFLAGS/LDFLAGS
Summary: net-dns/mdns-repeater does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Kevin Cernekee
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: qa-cflags ldflags
  Show dependency tree
 
Reported: 2020-05-24 08:11 UTC by Agostino Sarubbo
Modified: 2020-09-16 08:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,7.37 KB, text/plain)
2020-05-24 08:11 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-05-24 08:11:00 UTC
This is an auto-filed bug because net-dns/mdns-repeater does not respect CFLAGS/LDFLAGS.
The issue was originally discovered on amd64, but it may be reproducible on other arches as well.
If you think that a different summary clarifies the issue better, feel free to change it.
Attached build log and emerge --info.

NOTE:
To reproduce this issue you may want to set CFLAGS="${CFLAGS} -frecord-gcc-switches" and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ context you may want to set also FFLAGS and FCFLAGS or just see this bug as an hint to hide the QA warning where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-05-24 08:11:06 UTC
Created attachment 641310 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-09-16 08:04:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b6cf56c35f53484063dfa46f0fa41df9432433d

commit 5b6cf56c35f53484063dfa46f0fa41df9432433d
Author:     Azamat H. Hackimov <azamat.hackimov@gmail.com>
AuthorDate: 2020-08-23 01:13:37 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-09-16 08:04:11 +0000

    net-dns/mdns-repeater: update version
    
    Migrate from bitbucket to github, respect system CFLAGS and LDFLAGS.
    
    Closes: https://bugs.gentoo.org/724962
    Closes: https://bugs.gentoo.org/724944
    Bug: https://bugs.gentoo.org/737896
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Azamat H. Hackimov <azamat.hackimov@gmail.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 net-dns/mdns-repeater/Manifest                     |  1 +
 ...dns-repeater-1.11-system-compiler-options.patch | 33 ++++++++++++++++++++++
 net-dns/mdns-repeater/mdns-repeater-1.11.ebuild    | 27 ++++++++++++++++++
 net-dns/mdns-repeater/metadata.xml                 |  2 +-
 4 files changed, 62 insertions(+), 1 deletion(-)